import request from '@/config/axios'

export interface ProdAccidentVO {

}

export interface ProdAccidentPageReqVO extends PageParam {

}

// 查询ProdAccident列表
export const getProdAccidentPage = (params: ProdAccidentPageReqVO) => {
  return request.get({ url: '/xmcpms/prod/work/prodAccident/page', params })
}

// 查询ProdAccident列表
export const getPointList = (params: ProdAccidentPageReqVO) => {
  return request.get({ url: '/xmcpms/prod/work/prodAccident/list', params })
}

// 查询ProdAccident详情
export const getProdAccident = (id: number) => {
  return request.get({ url: `/xmcpms/prod/prod/work/prodAccident/info/${id}`})
}

// 新增ProdAccident
export const createProdAccident = (data: ProdAccidentVO) => {
  return request.post({ url: '/xmcpms/prod/work/prodAccident/create', data })
}

// 修改ProdAccident
export const updateProdAccident = (data: ProdAccidentVO) => {
  return request.put({ url: '/xmcpms/prod/work/prodAccident/update', data })
}

// 删除ProdAccident
export const deleteProdAccident = (id: number) => {
  return request.delete({ url: '/xmcpms/prod/work/prodAccident/delete?id=' + id })
}

//导出ProdAccidentList
export const exportProdAccident = (params) => {
  return request.download({ url: '/xmcpms/prod/work/prodAccident/export', params })
}

// 下载用户导入模板
export const importPointTemplate = () => {
  return request.download({ url: '/xmcpms/prod/work/prodAccident/get-import-template' })
}
